Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.892391
Category:Debian Local Security Checks
Title:Debian LTS: Security Advisory for ruby2.3 (DLA-2391-1)
Summary:The remote host is missing an update for the 'ruby2.3'; package(s) announced via the DLA-2391-1 advisory.
Description:Summary:
The remote host is missing an update for the 'ruby2.3'
package(s) announced via the DLA-2391-1 advisory.

Vulnerability Insight:
A potential HTTP request smuggling vulnerability in WEBrick
was reported.

WEBrick (bundled along with ruby2.3) was too tolerant against
an invalid Transfer-Encoding header. This may lead to
inconsistent interpretation between WEBrick and some HTTP proxy
servers, which may allow the attacker to 'smuggle' a request.

Affected Software/OS:
'ruby2.3' package(s) on Debian Linux.

Solution:
For Debian 9 stretch, this problem has been fixed in version
2.3.3-1+deb9u9.

We recommend that you upgrade your ruby2.3 packages.

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-25613
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.